libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.53. __nv_double2int_rz

Prototype:

    i32 @__nv_double2int_rz(double %d)

Description:

Convert the double-precision floating point value `x` to a signed integer value in round-towards-zero mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes